#ifndef _kchartWIZARDLABELSLEGENDPAGE_H
#define _kchartWIZARDLABELSLEGENDPAGE_H

#include <tqwidget.h>
#include <kcolorbutton.h>

class TQColor;
class TQPushButton;
class TQLineEdit;
class TQRadioButton;

namespace KChart
{

class KChartPart;

class KChartWizardLabelsLegendPage : public TQWidget
{
  TQ_OBJECT
  

public:
  KChartWizardLabelsLegendPage( TQWidget* parent, KChartPart* chart );
  ~KChartWizardLabelsLegendPage();

#if 0
  bool ytitle2;
#endif
public slots:
  void apply();
  void changeXLabelFont();
  void changeYLabelFont();
#if 0
  //void changeY2LabelFont();
#endif
  void changeTitleFont();
  void changeLegendTitleFont();
  void changeLegendTextFont();
  void changeXLabelColor(const TQColor &);
  void changeYLabelColor(const TQColor &);
  void changeTitleColor(const TQColor &);
#if 0
  //void changeYTitle2Color(const TQColor &);
#endif
  void changeLegendTitleColor(const TQColor &);
  void changeLegendTextColor(const TQColor &);

protected:
  void paintEvent( TQPaintEvent * );

private:
  KChartPart* _chart;
  //kchartWidget* preview;
  TQLineEdit* _xlabelED;
  TQLineEdit* _ylabelED;
  TQLineEdit* _titleED;
#if 0
  TQLineEdit* _ylabel2ED;
#endif
  TQPushButton *xtitlefont;
  TQPushButton *ytitlefont;
  TQPushButton *titlefont;
#if 0
  TQPushButton *ytitle2font;
#endif
  KColorButton *xtitlecolor;
  KColorButton *ytitlecolor;
  KColorButton *titlecolor;
#if 0
  KColorButton *ytitle2color;
#endif

  TQLineEdit *_legendTitleText;

  KColorButton *legendTextColor;
  KColorButton *legendTitleColor;

  TQPushButton *legendTextFont;
  TQPushButton *legendTitleFont;

  TQFont xlabel;
  TQFont ylabel;
#if 0
  TQFont ylabel2;
#endif
  TQFont title;
  TQColor x_color;
  TQColor y_color;
#if 0
  TQColor y_color2;
#endif
  TQColor title_color;

  TQColor _legendTextColor;
  TQColor _legendTitleColor;

  TQFont _legendTextFont;
  TQFont _legendTitleFont;

};

}  //KChart namespace

#endif
